#!/bin/sh
SBIN_SYNOSERVICECTL="/usr/syno/sbin/synoservicectl"

checkStatusAndRestart() {
	${SBIN_SYNOSERVICECTL} --status ${1}
	if [ 0 == $? ]; then
		restart ${1}
	fi
}

case "$1" in
	pkg-LogCenter)
		checkStatusAndRestart "pkg-LogCenter-bsd"
		checkStatusAndRestart "pkg-LogCenter-ietf"
		checkStatusAndRestart "pkg-LogCenter-custrule"
		;;
	*)
		echo "Usage: $0 pkg-LogCenter-syslog" >&2
		exit 1
		;;
esac

